package com.base.locationsharewhite.fcm.receiver

import android.annotation.SuppressLint
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.base.locationsharewhite.fcm.NotificationUiUtil.sendNotificationIfCan
import com.base.locationsharewhite.fcm.PopupConstObject
import com.base.locationsharewhite.service.StayJobService.Companion.startJob

class FileJobReceiver : BroadcastReceiver() {
    @SuppressLint("UnsafeProtectedBroadcastReceiver")
    override fun onReceive(context: Context?, intent: Intent?) {
        context?.startJob()
        context?.let {
            sendNotificationIfCan(context, PopupConstObject.POPUP_WHERE_FILE_JOB)
        }
    }
}